function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import * as React from 'react';
import { AelfIcon } from "../icon/AelfIcon.js";
var SVGComponent = function SVGComponent(props) {
  return /*#__PURE__*/React.createElement("svg", props, /*#__PURE__*/React.createElement("path", {
    d: "m6 7.242-3.77-3.77a.15.15 0 0 0-.211 0l-.53.531a.15.15 0 0 0 0 .212l4.246 4.247a.375.375 0 0 0 .53 0l4.247-4.247a.15.15 0 0 0 0-.212l-.53-.53a.15.15 0 0 0-.213 0L6 7.241Z"
  }));
};
SVGComponent.defaultProps = {
  viewBox: "0 0 12 12",
  fill: "currentColor",
  xmlns: "http://www.w3.org/2000/svg"
};
var componentName = 'DownArrowIcon';
export var DownArrowIcon = /*#__PURE__*/React.forwardRef(function (props, ref) {
  return /*#__PURE__*/React.createElement(AelfIcon, _extends({
    component: SVGComponent,
    componentName: componentName,
    defaultWidth: 12,
    defaultHeight: 12,
    ref: ref
  }, props));
});
DownArrowIcon.displayName = 'DownArrowIcon';