function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import * as React from 'react';
import { AelfIcon } from "../icon/AelfIcon.js";
var SVGComponent = function SVGComponent(props) {
  return /*#__PURE__*/React.createElement("svg", props, /*#__PURE__*/React.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M8.627 13.986a5.922 5.922 0 1 0 0-11.844 5.922 5.922 0 0 0 0 11.844Zm5.493-.815 2.432 2.433a.79.79 0 1 1-1.13 1.103l-2.494-2.497A7.5 7.5 0 0 1 1.125 8.064a7.501 7.501 0 1 1 12.995 5.107Z"
  }));
};
SVGComponent.defaultProps = {
  viewBox: "0 0 18 18",
  fill: "currentColor",
  xmlns: "http://www.w3.org/2000/svg"
};
var componentName = 'QueryIcon';
export var QueryIcon = /*#__PURE__*/React.forwardRef(function (props, ref) {
  return /*#__PURE__*/React.createElement(AelfIcon, _extends({
    component: SVGComponent,
    componentName: componentName,
    defaultWidth: 18,
    defaultHeight: 18,
    ref: ref
  }, props));
});
QueryIcon.displayName = 'QueryIcon';