function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import * as React from 'react';
import AntdIcon from '@ant-design/icons';
import { ConfigProvider } from 'antd';
import classnames from 'classnames';
import { useStyles } from "../hooks/index.js";
export var AelfIcon = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var _React$useContext = React.useContext(ConfigProvider.ConfigContext),
    getPrefixCls = _React$useContext.getPrefixCls;
  var prefixCls = getPrefixCls('aelf-icon');
  var iconColor = {
    color: props.color,
    hoverColor: props.hoverColor,
    activeColor: props.activeColor,
    twoToneColor: props.twoToneColor,
    hoverTwoToneColor: props.hoverTwoToneColor,
    activeTwoToneColor: props.activeTwoToneColor
  };
  var defaultWidth = props.defaultWidth,
    defaultHeight = props.defaultHeight,
    component = props.component;
  var _props$width = props.width,
    width = _props$width === void 0 ? defaultWidth : _props$width,
    _props$height = props.height,
    height = _props$height === void 0 ? defaultHeight : _props$height,
    style = props.style,
    componentName = props.componentName;
  var _useStyles = useStyles(iconColor),
    styles = _useStyles.styles;
  var cls = classnames(prefixCls, props.className, styles.iconWrap);
  return /*#__PURE__*/React.createElement(AntdIcon, _extends({}, props, {
    className: cls,
    ref: ref,
    component: component,
    style: _objectSpread({
      width: width,
      height: height
    }, style)
  }));
});