"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EyeTwoToneIcon = void 0;
var React = _interopRequireWildcard(require("react"));
var _AelfIcon = require("../icon/AelfIcon.js");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var SVGComponent = function SVGComponent(props) {
  return /*#__PURE__*/React.createElement("svg", props, /*#__PURE__*/React.createElement("g", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    fill: "#E0E0E0"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M9 3.938a3.063 3.063 0 1 0 0 6.125 3.063 3.063 0 0 0 0-6.125ZM7.688 7a1.313 1.313 0 1 1 2.625 0 1.313 1.313 0 0 1-2.625 0Z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M14.781 3.411C11.7-.04 6.301-.04 3.219 3.411L.721 6.21a1.188 1.188 0 0 0 0 1.582l2.498 2.798c3.081 3.451 8.48 3.451 11.562 0l2.498-2.798a1.187 1.187 0 0 0 0-1.582l-2.498-2.798ZM4.524 4.577a6 6 0 0 1 8.952 0L15.639 7l-2.163 2.424a6 6 0 0 1-8.952 0L2.361 7l2.163-2.423Z"
  })));
};
SVGComponent.defaultProps = {
  viewBox: "0 0 18 14",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
const componentName = 'EyeTwoToneIcon';
const EyeTwoToneIcon = exports.EyeTwoToneIcon = /*#__PURE__*/React.forwardRef((props, ref) => {
  console.log('componentName', componentName, props);
  return /*#__PURE__*/React.createElement(_AelfIcon.AelfIcon, _extends({
    component: SVGComponent,
    componentName: componentName,
    defaultWidth: 18,
    defaultHeight: 14,
    ref: ref
  }, props));
});
EyeTwoToneIcon.displayName = 'EyeTwoToneIcon';